Bug 175786 - [SOUP] Can't save images if host disallows hotlinking (referrer not passed when downloading)
Summary: [SOUP] Can't save images if host disallows hotlinking (referrer not passed wh...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-21 15:27 PDT by Bastien Nocera
Modified: 2018-05-04 09:30 PDT (History)
10 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2017-08-21 15:27:10 PDT
On both Discogs, and the Arcade Flyer Archive, I couldn't download images as the website don't allow hot linking and webkit doesn't seem to pass referer information when downloading images to save them.

1. Go to:
http://flyers.arcade-museum.com/?page=flyer&db=videodb&id=182&image=1
2. Right click on the big image and select "Save Image As..." and confirm the destination

We get "Error Downloading: Forbidden" instead of the download working as expected. The image is also available in cache.
Comment 1 Bastien Nocera 2017-08-23 09:21:44 PDT
Alexey, it's referer (with the typo) ;)
https://en.wikipedia.org/wiki/HTTP_referer
Comment 2 Michael Catanzaro 2017-08-23 13:20:14 PDT
(In reply to Bastien Nocera from comment #1)
> Alexey, it's referer (with the typo) ;)
> https://en.wikipedia.org/wiki/HTTP_referer

Not that this matters at all, but we're pretty consistent in using the terminology "referrer" everywhere (except the HTTP header itself, of course).
Comment 3 Michael Catanzaro 2017-08-23 13:20:56 PDT
I'm assuming this is soup-specific, unless Alexey says otherwise.
Comment 4 Bastien Nocera 2018-04-30 08:35:08 PDT
See https://bugs.webkit.org/show_bug.cgi?id=174730
Comment 5 Bastien Nocera 2018-05-03 02:35:12 PDT
I can't reproduce the problem on the arcade-museum website, but I can still reproduce it with discogs.

1. Go to https://www.discogs.com/Capcom-Sound-Team-Final-Fight/release/9597740
2. Click on the cover of the disc in the top left-corner
3. Right-click, save image as yields:
Error downloading: Service unavailable
Comment 6 Carlos Garcia Campos 2018-05-03 02:38:13 PDT
(In reply to Bastien Nocera from comment #5)
> I can't reproduce the problem on the arcade-museum website, but I can still
> reproduce it with discogs.
> 
> 1. Go to
> https://www.discogs.com/Capcom-Sound-Team-Final-Fight/release/9597740
> 2. Click on the cover of the disc in the top left-corner
> 3. Right-click, save image as yields:
> Error downloading: Service unavailable

But that's not because of the referrer, or do you mean you can still reproduce it even with path attached to bug #174730 applied?
Comment 7 Bastien Nocera 2018-05-03 03:14:39 PDT
(In reply to Carlos Garcia Campos from comment #6)
> (In reply to Bastien Nocera from comment #5)
> > I can't reproduce the problem on the arcade-museum website, but I can still
> > reproduce it with discogs.
> > 
> > 1. Go to
> > https://www.discogs.com/Capcom-Sound-Team-Final-Fight/release/9597740
> > 2. Click on the cover of the disc in the top left-corner
> > 3. Right-click, save image as yields:
> > Error downloading: Service unavailable
> 
> But that's not because of the referrer, or do you mean you can still
> reproduce it even with path attached to bug #174730 applied?

I didn't test with the patch from bug 174730. The original "Arcade Museum" problem might also not have been a referer problem (though it's impossible to test for now), so that might still be a dupe of bug 174730.
Comment 8 Michael Catanzaro 2018-05-04 09:30:18 PDT
OK, since discogs is now fixed, and the Arcade Museum website seems to have changed, is it safe to close this now? Or do we suspect there are other websites that really do block downloads due to missing Referer?